My pacman (version 6.3)

By paw :: Monday October 13th, 2008

 

This game requires the Adobe Flash Player.

Enable Flash

make a game

That's my pacman. wonder like the real. I know, i don't take two sides the teleport. (I wrote 6.3... but i won't update it.)


More games by paw